Uploaded image for project: 'App Framework'
  1. App Framework
  2. AF-16

Extensions and Apps need to support a requiredPrivilege property

    XMLWordPrintable

    Details

    • Type: New Feature
    • Status: Closed
    • Priority: Should
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: 2.0
    • Labels:
    • Complexity:
      Medium
    • Sprint:
      Iteration 0

      Description

      When defining an extension or app, you should be able to specify a required privilege the user must have to be able to see/use that extension or app.

      We also need to add a method in AppFrameworkService like getExtensionsForCurrentUser (which filters for only enabled extensions the user has privileges for)

        Attachments

          Activity

            People

            Assignee:
            wyclif Wyclif Luyima
            Reporter:
            darius Darius Jazayeri
            Votes:
            0 Vote for this issue
            Watchers:
            2 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved:

                Time Tracking

                Estimated:
                Original Estimate - 4 hours
                4h
                Remaining:
                Time Spent - 3 hours Remaining Estimate - 1 hour
                1h
                Logged:
                Time Spent - 3 hours Remaining Estimate - 1 hour
                3h